Summary:	Big5 and Big5ascii encoding support for xpdf
Summary(pl.UTF-8):	Obsługa kodowań Big5 i Big5ascii dla xpdf
Name:		xpdf-chinese-traditional
Version:	20170725
Release:	1
License:	GPL v2 or GPL v3
Group:		X11/Applications
#Source0Download: http://www.xpdfreader.com/download.html
Source0:	https://xpdfreader-dl.s3.amazonaws.com/%{name}.tar.gz
# Source0-md5:	b98832f2ca8749910381e981f481142c
URL:		http://www.xpdfreader.com/
Requires(post,preun):	grep
Requires(post,preun):	xpdf
Requires(preun):	fileutils
Requires:	xpdf
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Xpdf language support packages include CMap files, text encodings,
and various other configuration information necessary or useful for
specific character sets. (They do not include any fonts.)
This package provides support files needed to use the Xpdf tools with
Chinese-traditional PDF files.

%description -l pl.UTF-8
Pakiety wspierające języki Xpdf zawierają pliki CMap, kodowania oraz
różne inne informacje konfiguracyjne niezbędne bądź przydatne przy
określonych zestawach znaków (nie zawierają żadnych fontów).
Ten pakiet zawiera pliki potrzebne do używania narzędzi Xpdf z
chińskimi tradycyjnymi plikami PDF.

%prep
%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xpdf/CMap-chinese-traditional

install *.unicodeMap $RPM_BUILD_ROOT%{_datadir}/xpdf
install *.cidToUnicode $RPM_BUILD_ROOT%{_datadir}/xpdf
install CMap/* $RPM_BUILD_ROOT%{_datadir}/xpdf/CMap-chinese-traditional

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
if [ ! -f /etc/xpdfrc ]; then
	echo 'unicodeMap	Big5		/usr/share/xpdf/Big5.unicodeMap' >> /etc/xpdfrc
	echo 'unicodeMap	Big5ascii	/usr/share/xpdf/Big5ascii.unicodeMap' >> /etc/xpdfrc
	echo 'cidToUnicode	Adobe-CNS1	/usr/share/xpdf/Adobe-CNS1.cidToUnicode' >> /etc/xpdfrc
	echo 'cMapDir		Adobe-CNS1	/usr/share/xpdf/CMap-chinese-traditional' >> /etc/xpdfrc
	echo 'toUnicodeDir			/usr/share/xpdf/CMap-chinese-traditional' >> /etc/xpdfrc
	echo 'displayCIDFontX	Adobe-CNS1	"-*-fixed-medium-r-normal-*-%s-*-*-*-*-*-big5-0" Big5' >> /etc/xpdfrc
	echo '# displayCIDFontX	Adobe-CNS1	"-arphic-ar pl kaitim big5-medium-r-normal--%s-*-*-*-c-*-iso10646-1" UCS-2' >> /etc/xpdfrc
else
 if ! grep -q 'Big5\.unicodeMap' /etc/xpdfrc; then
	echo 'unicodeMap	Big5		/usr/share/xpdf/Big5.unicodeMap' >> /etc/xpdfrc
 fi
 if ! grep -q 'Big5ascii\.unicodeMap' /etc/xpdfrc; then
	echo 'unicodeMap	Big5ascii	/usr/share/xpdf/Big5ascii.unicodeMap' >> /etc/xpdfrc
 fi
 if ! grep -q 'Adobe-CNS1\.cidToUnicode' /etc/xpdfrc; then
	echo 'cidToUnicode	Adobe-CNS1	/usr/share/xpdf/Adobe-CNS1.cidToUnicode' >> /etc/xpdfrc
 fi
 if ! grep -q 'CMap-chinese-traditional' /etc/xpdfrc; then
	echo 'cMapDir		Adobe-CNS1	/usr/share/xpdf/CMap-chinese-traditional' >> /etc/xpdfrc
	echo 'toUnicodeDir			/usr/share/xpdf/CMap-chinese-traditional' >> /etc/xpdfrc
 fi
 if ! grep -q -e '-\*-fixed-medium-r-normal-\*-%s-\*-\*-\*-\*-\*-big5-0' /etc/xpdfrc; then
	echo 'displayCIDFontX	Adobe-CNS1	"-*-fixed-medium-r-normal-*-%s-*-*-*-*-*-big5-0" Big5' >> /etc/xpdfrc
 fi
 if ! grep -q -e '-arphic-ar pl kaitim big5-medium-r-normal--%s-\*-\*-\*-c-\*-iso10646-1' /etc/xpdfrc; then
	echo '# displayCIDFontX	Adobe-CNS1	"-arphic-ar pl kaitim big5-medium-r-normal--%s-*-*-*-c-*-iso10646-1" UCS-2' >> /etc/xpdfrc
 fi
fi

%preun
if [ "$1" = "0" ]; then
	umask 022
	grep -v 'Big5\.unicodeMap' /etc/xpdfrc > /etc/xpdfrc.new
	grep -v 'Big5ascii\.unicodeMap' /etc/xpdfrc.new > /etc/xpdfrc
	grep -v 'Adobe-CNS1\.cidToUnicode' /etc/xpdfrc > /etc/xpdfrc.new
	grep -v 'CMap-chinese-traditional' /etc/xpdfrc.new > /etc/xpdfrc
	grep -v -e '-\*-fixed-medium-r-normal-\*-%s-\*-\*-\*-\*-\*-big5-0' /etc/xpdfrc > /etc/xpdfrc.new
	grep -v -e '-arphic-ar pl kaitim big5-medium-r-normal--%s-\*-\*-\*-c-\*-iso10646-1' /etc/xpdfrc.new > /etc/xpdfrc
	rm -f /etc/xpdfrc.new
fi

%files
%defattr(644,root,root,755)
%doc README add-to-xpdfrc
%{_datadir}/xpdf/Big5.unicodeMap
%{_datadir}/xpdf/Big5ascii.unicodeMap
%{_datadir}/xpdf/Adobe-CNS1.cidToUnicode
%{_datadir}/xpdf/CMap-chinese-traditional
%changelog
* Mon May 20 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xpdf-chinese-traditional.git;a=log;h=master

* Mon May 20 2019 Jakub Bogusz <qboosh@pld-linux.org> 3dce4cb
- updated to 2017-Jul-25

* Sun Aug 21 2011 Jakub Bogusz <qboosh@pld-linux.org> eaa176b
- updated to 2011-aug-15 (as Version: 20110815)

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 3ef5834
- rel 6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 73e049f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b2eb19c
- converted to UTF-8

* Sun Aug 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 072ba94
- updated to 2004-jul-27, release 5

* Sun Jan 25 2004 Tomasz Pala <gotar@pld-linux.org> f2991de
- updated

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 90edc98
- mass commit: cosmetics (removed trailing white spaces)

* Thu Jul 31 2003 Tomasz Pala <gotar@pld-linux.org> 9515b86
- fixed %preun scripts,
- release++.

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 7ffadc5
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 72e3407
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 04 2003 qrczak <qrczak@pld-linux.org> 1f076ac
- Use -e before grep patterns starting with '-'.

* Sat Mar 15 2003 Tomasz Pala <gotar@pld-linux.org> 6022a40
- BuildArch: noarch,
- release++.

* Tue Feb 11 2003 Jakub Bogusz <qboosh@pld-linux.org> 7397a6b
- umask in scripts, other fixes/cosmetics where needed

* Sun Jan 19 2003 Tomasz Pala <gotar@pld-linux.org> c118610
- fixed %post and %preun scripts

* Sat Jan 18 2003 juandon <witekfl@pld-linux.org> e2de50b
- removed two lines with define

* Mon Sep 09 2002 Tomasz Pala <gotar@pld-linux.org> c27ec5d
- initial PLD release, STBR.

